
//1. Что такое замыкание?
// 2. Максимально возможные различные способы которым можно создать объект и чем такие объекты будут отличаться друг от друга?

//1.Это функция обьедененная с лексическим окружением, лексическое окружение считывает все переменные к которым можно обратится вызывается функция
//замыкание даёт доступ к Scope
//2.Обьект создается при создании любой функции - Function(при ееи вызове можно это проверить),
//с помощью функции-конструктор, потом  сделать экземпляр объекта с помощью этой функции и оператора new
// через new(let obj = new Object()), с помощью create, с помощью инициализатора объекта
//объекты наследуются от другого объекта, так же есть ключевое слово this, которое указывает на обьект(то есть это и есть обьект)